var CounterView = Backbone.View.extend({
    events: {
        'click #checkBtn': 'incr',
		'click #checkBtn2': 'incr2'
    },
    render: function() {
        $(this.el).show();
        return this;
    },
    initialize: function(options) {
        this.parentView = options.parentView;
		this.parentView2 = options.parentView;
        this.parentView.on('move:start', this.setStatus, this)
		this.parentView2.on('move:start', this.setStatus2, this)
        this.model.on('incr', this.incremented, this);
		this.model.on('incr2', this.incremented2, this);
        this.hits = {}
		this.hits2 = {}
    },
    incr: function(e) {
        e.preventDefault();
        this.model.incr(this.parentView.currentCardView().model);
    },
	incr2: function(f) {
        f.preventDefault();
        this.model.incr2(this.parentView2.currentCardView().model);
    },
    incremented: function() {
        $(this.el).addClass('hit');
    },
	incremented2: function() {
        $(this.el).addClass('hit2');
    },
    setStatus: function() {
        id = this.parentView.currentCardView().model.id;
        if (this.model.hits[id]) {
            $(this.el).addClass('hit');
        } else {
            $(this.el).removeClass('hit');
        }
    },
	setStatus2: function() {
        id = this.parentView2.currentCardView().model.id;
        if (this.model.hits2[id]) {
            $(this.el).addClass('hit2');
        } else {
            $(this.el).removeClass('hit2');
        }
    }
});

