var ResultsView = Backbone.View.extend({
    events: {
        'click #openResultsBtn': 'openResults'
    },
    initialize: function(options) {
        this.parentView = options.parentView;
        this.$('#resultsModal').modal({
            show: false
        });
    },
    openResults: function(e) {
        e.preventDefault();
        this.fillResults();
        this.$('#resultsModal').modal('show');
    },
    fillResults: function() {
        total = this.parentView.collection.length;
        correct = this.model.count();
        wrong = total - correct;

        this.$('td.correct').text(correct);
        this.$('td.wrong').text(wrong);
        this.$('td.total').text(total);
		
		total2 = this.parentView.collection.length;
        correct2 = this.model.count2();
        wrong2 = total2 - correct2;

        this.$('td.correct2').text(correct2);
        this.$('td.wrong2').text(wrong2);
        this.$('td.total2').text(total2);
    }
});
