var VideoPlayerView = Backbone.View.extend({
    template: _.template($("#videoPlayer_template").html()),
    events: {
        "click": "stopBubbling"
    },
    initialize: function(options) {
        this.parentView = options.parentView;
        this.fileName = options.fileName;
    },
    render: function() {
        var playerFile = "js/libs/mcmp_0.8.swf";
        l = location.href.replace(/\/\w+\.html?/gi, "/")
        var fpFileURL = l + this.fileName + ".mp4";
        width = $(this.el).width() - 5;
        height = $(this.parentView.el).height() - 150;
        if (width < height) {
            height = width / (4/3);
        } else {
            width = height * (4/3);
        };
        var playerSize = width + "x" + height;

        flashcode = mccode(fpFileURL, playerSize, playerFile);

        html = this.template({
            fileName: this.fileName,
            mccode: flashcode,
            width: width,
            height: height
        });
        $(this.el).html(html);
        return this;
    },
    stopBubbling: function(e) {
        e.stopPropagation();
    }
});
